Extending Qt Creator Manual | IContextPane

Extending Qt Creator Manual 4.5.2

# IContextPane Class

(QmlJS::IContextPane)

- List of all members, including inherited members

## Public Functions

| IContextPane(QObject *parent = 0)
virtual | ~IContextPane()
virtual void | apply(TextEditor::TextEditorWidget *editorWidget, Document::Ptr document, const ScopeChain *scopeChain, AST::Node *node, bool update, bool force = false) = 0
virtual bool | isAvailable(TextEditor::TextEditorWidget *editorWidget, Document::Ptr document, AST::Node *node) = 0
virtual void | setEnabled(bool) = 0
virtual QWidget * | widget() = 0

## Signals

void | closed()

## Member Function Documentation

### IContextPane::IContextPane(QObject *parent = 0)

Default constructs an instance of IContextPane.

### `[virtual]` IContextPane::~IContextPane()

Destroys the instance of IContextPane. The destructor is virtual.

### `[pure virtual]` void IContextPane::apply(TextEditor::TextEditorWidget *editorWidget, Document::Ptr document, const ScopeChain *scopeChain, AST::Node *node, bool update, bool force = false)

### `[signal]` void IContextPane::closed()

### `[pure virtual]` bool IContextPane::isAvailable(TextEditor::TextEditorWidget *editorWidget, Document::Ptr document, AST::Node *node)

### `[pure virtual]` void IContextPane::setEnabled(bool)

### `[pure virtual]` QWidget *IContextPane::widget()